Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class TransactionListener

    java.lang.Object
      org.jboss.seam.core.TransactionListener

All Implemented Interfaces:
  javax.ejb.SessionSynchronization, LocalTransactionListener

    @Scope(value=EVENT)
    @Name(value="org.jboss.seam.core.transactionListener")
    @Install(value=false,
             precedence=0)
    public class TransactionListener

extends Object
implements LocalTransactionListener, javax.ejb.SessionSynchronization

Temporary solution for getting JTA transaction lifecycle callbacks. Once all appservers support the new EE5 APIs, this will be removed.

Author:
  Gavin King

Constructor Summary
`TransactionListener()`

Method Summary
`void` | `afterBegin()`
`void` | `afterCompletion(boolean success)`
`void` | `beforeCompletion()`
`void` | `destroy()`
`static LocalTransactionListener` | `instance()`
`void` | `scheduleEvent(String type, Object... parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionListener

    public TransactionListener()

Method Detail

### instance

    public static LocalTransactionListener instance()

### afterBegin

    public void afterBegin()
                    throws javax.ejb.EJBException,
                           RemoteException

  Specified by:
    `afterBegin` in interface `javax.ejb.SessionSynchronization`
  Throws:
    `javax.ejb.EJBException`
    `RemoteException`

### scheduleEvent

    public void scheduleEvent(String type,
                              Object... parameters)

  Specified by:
    `scheduleEvent` in interface `LocalTransactionListener`

### afterCompletion

    public void afterCompletion(boolean success)
                         throws javax.ejb.EJBException,
                                RemoteException

  Specified by:
    `afterCompletion` in interface `javax.ejb.SessionSynchronization`
  Throws:
    `javax.ejb.EJBException`
    `RemoteException`

### beforeCompletion

    public void beforeCompletion()
                          throws javax.ejb.EJBException,
                                 RemoteException

  Specified by:
    `beforeCompletion` in interface `javax.ejb.SessionSynchronization`
  Throws:
    `javax.ejb.EJBException`
    `RemoteException`

### destroy

    @Destroy
    public void destroy()

  Specified by:
    `destroy` in interface `LocalTransactionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD